<div class="presence-pointer"
     class:corner="!noCorner"
     class:offline="presence === undefined || presence == presences.offline"
     class:dnd="presence == presences.dnd"
     class:idle="presence == presences.idle"
     class:online="presence == presences.online" />

<script>
  import constants from "../js/constants";
  
  export default {
    helpers: {
      presences: constants.presence
    }
  };
</script>

<style>
  .presence-pointer.corner {
    background-color: #f0f;
    border-radius: 100%;
    height: 11px;
    width: 11px;
    border: solid #202224 2px;
    position: absolute;
    bottom: -8%;
    right: -10%;
  }

  .presence-pointer.online {
    background-image: url("../icons/presence/online.svg");
    background-color: #43b581;
  }
  .presence-pointer.offline {
    /* background-image: url("../icons/presence/offline.svg"); */
    background-color: #747f8d;
  }
  .presence-pointer.idle {
    background-image: url("../icons/presence/idle.svg");
    background-color: #faa61a;
  }
  .presence-pointer.dnd {
    background-image: url("../icons/presence/dnd.svg");
    background-color: #f04747;
  }
</style>

